---
title: "Upload organization logo"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-logo"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org-id-logo"
method: "POST"
path: "/v2/organizations/{org_id}/logo"
operation_id: "post-v2-organizations-org-id-logo"
authorization: "bearer"
---

# Upload organization logo

`POST /v2/organizations/{org_id}/logo`

Allows admin to upload organization logo.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Form Data Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `logo` | string | Yes | @/path/to/your/file.pdf |

## Responses

### 204

Successful response. The logo is uploaded.

### 400

* Wrong, expired, or missing token.
* The `logo` file is missing.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Missing logo`)

```json
{
  "errors": [
    {
      "code": 12002006,
      "message": "`logo` is required parameter."
    }
  ]
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{org_id}/logo" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-logo*
